/**
 * Pre-validation for identity number.
 */
Drupal.uv.identity_number = function(fieldName, value) {
  if(value.length !== 3 || !/^\d+$/.test(value)) {
    return {
      type: 'error',
      info: 'invalid_identity_number',
      message: Drupal.t('Identity numbers are three digits long.')
    };
  }
  return {
    type: 'success',
    info: 'pass',
    message: 'Ok!'
  };
};